summary refs log tree commit diff
path: root/nixos/modules/system/boot/stage-1-init.sh
diff options
context:
space:
mode:
authorShea Levy <shea@shealevy.com>2014-11-12 18:25:03 -0500
committerShea Levy <shea@shealevy.com>2014-11-12 18:25:03 -0500
commitba7c80eefbc79c17029da20084c4e04c9bf0fb9b (patch)
treec26a84f2fb0237b51b0d8b7b811f26621d8cd8ca /nixos/modules/system/boot/stage-1-init.sh
parente884dc32c5ef35d48e08552ca3668f3b9d0d4fc5 (diff)
downloadnixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar.gz
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar.bz2
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar.lz
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar.xz
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.tar.zst
nixlib-ba7c80eefbc79c17029da20084c4e04c9bf0fb9b.zip
Fix init= stage 1 test
Diffstat (limited to 'nixos/modules/system/boot/stage-1-init.sh')
-rw-r--r--nixos/modules/system/boot/stage-1-init.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/nixos/modules/system/boot/stage-1-init.sh b/nixos/modules/system/boot/stage-1-init.sh
index 5a9beeeafa1d..f0a96edd14af 100644
--- a/nixos/modules/system/boot/stage-1-init.sh
+++ b/nixos/modules/system/boot/stage-1-init.sh
@@ -394,7 +394,7 @@ echo /sbin/modprobe > /proc/sys/kernel/modprobe
 # Start stage 2.  `switch_root' deletes all files in the ramfs on the
 # current root.  Note that $stage2Init might be an absolute symlink,
 # in which case "-e" won't work because we're not in the chroot yet.
-if ! test -e "$targetRoot/$stage2Init" -o -L "$targetRoot/$stage2Init"; then
+if ! test -e "$targetRoot/$stage2Init" -o ! -L "$targetRoot/$stage2Init"; then
     echo "stage 2 init script ($targetRoot/$stage2Init) not found"
     fail
 fi